import pytest

from all_backend_api.orders_request import orders_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestMyStatus:
    data = BaseRequest().api_load(path_setting.ORDER_MY_STATUS)
    my_status_case, my_status_data = get_ids(data, "my_status")

    @pytest.mark.parametrize("param", my_status_data, ids=my_status_case)
    def test_my_status(self, param):
        r = orders_request().my_status()

        if r["error"] == 0:
            assert r["error"] == param["assert_error"]
